.TH wxAuiNotebook 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxAuiNotebook \- See external documentation: wxAuiNotebook\&.
.SH DESCRIPTION
.LP
See external documentation: wxAuiNotebook <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxAuiNotebook()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxAuiNotebook()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookwxauinotebook>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxAuiNotebook()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxAuiNotebook()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookwxauinotebook>\&.
.RE
.LP
.B
addPage(This::wxAuiNotebook(), Page::wxWindow() (see module wxWindow), Caption::string()) -> bool()
.br
.RS
.LP
Equivalent to addPage(This, Page, Caption, [])\&.
.RE
.LP
.B
addPage(This::wxAuiNotebook(), Page::wxWindow() (see module wxWindow), Caption::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {select, bool()} | {bitmap, wxBitmap() (see module wxBitmap)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookaddpage>\&.
.RE
.LP
.B
create(This::wxAuiNotebook(), Parent::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, [])\&.
.RE
.LP
.B
create(This::wxAuiNotebook(), Parent::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookcreate>\&.
.RE
.LP
.B
deletePage(This::wxAuiNotebook(), Page::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookdeletepage>\&.
.RE
.LP
.B
getArtProvider(This::wxAuiNotebook()) -> wxAuiTabArt() (see module wxAuiTabArt)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookgetartprovider>\&.
.RE
.LP
.B
getPage(This::wxAuiNotebook(), Page_idx::integer()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookgetpage>\&.
.RE
.LP
.B
getPageBitmap(This::wxAuiNotebook(), Page_idx::integer()) -> wxBitmap() (see module wxBitmap)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookgetpagebitmap>\&.
.RE
.LP
.B
getPageCount(This::wxAuiNotebook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookgetpagecount>\&.
.RE
.LP
.B
getPageIndex(This::wxAuiNotebook(), Page_wnd::wxWindow() (see module wxWindow)) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookgetpageindex>\&.
.RE
.LP
.B
getPageText(This::wxAuiNotebook(), Page_idx::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookgetpagetext>\&.
.RE
.LP
.B
getSelection(This::wxAuiNotebook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookgetselection>\&.
.RE
.LP
.B
insertPage(This::wxAuiNotebook(), Page_idx::integer(), Page::wxWindow() (see module wxWindow), Caption::string()) -> bool()
.br
.RS
.LP
Equivalent to insertPage(This, Page_idx, Page, Caption, [])\&.
.RE
.LP
.B
insertPage(This::wxAuiNotebook(), Page_idx::integer(), Page::wxWindow() (see module wxWindow), Caption::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {select, bool()} | {bitmap, wxBitmap() (see module wxBitmap)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookinsertpage>\&.
.RE
.LP
.B
removePage(This::wxAuiNotebook(), Page::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebookremovepage>\&.
.RE
.LP
.B
setArtProvider(This::wxAuiNotebook(), Art::wxAuiTabArt() (see module wxAuiTabArt)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebooksetartprovider>\&.
.RE
.LP
.B
setFont(This::wxAuiNotebook(), Font::wxFont() (see module wxFont)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebooksetfont>\&.
.RE
.LP
.B
setPageBitmap(This::wxAuiNotebook(), Page::integer(), Bitmap::wxBitmap() (see module wxBitmap)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebooksetpagebitmap>\&.
.RE
.LP
.B
setPageText(This::wxAuiNotebook(), Page::integer(), Text::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebooksetpagetext>\&.
.RE
.LP
.B
setSelection(This::wxAuiNotebook(), New_page::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebooksetselection>\&.
.RE
.LP
.B
setTabCtrlHeight(This::wxAuiNotebook(), Height::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebooksettabctrlheight>\&.
.RE
.LP
.B
setUniformBitmapSize(This::wxAuiNotebook(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxauinotebook\&.html#wxauinotebooksetuniformbitmapsize>\&.
.RE
.LP
.B
destroy(This::wxAuiNotebook()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
